Subject: [Idr] Benjamin Kaduk's Discuss on draft-ietf-idr-te-pm-bgp-17: (with DISCUSS and COMMENT)

From: Benjamin Kaduk <[email-masked]>
Date: Wed, 19 Dec 2018 19:12:57 -0800

Benjamin Kaduk has entered the following ballot position for
draft-ietf-idr-te-pm-bgp-17: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-idr-te-pm-bgp/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

How are the measurement interval(s) for these TLVs chosen?  I note that RFC
7810 (and 7810bis), as well as RFC 7471, include some text about
measurement intervals, in particular, a default value of 30 seconds and in
at least one case a requirement for configurability at sub-TLV granularity
(thus, TLV granularity for us here).  That said, it's not entirely clear to me whether
I'm supposed to treat the measurement intervals as also inherited from 7810bis/7471
as part of the "semantics of the value field".  It may be worth a brief clarifying note
in the top-level Section 2.

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I will be interested to see what the RFC Editor thinks about "the semantics
[...] are described in [I-D.ietf-lsr-isis-rfc7810bis] and [RFC7471]", i.e.,
with both references containing the same content.  It's unclear that we
need to have a conversation about the apparent duplication at this point,
though.

This is pretty clearly looking at the barn door when the horse is long
gone, but the referenced semantics talk about setting the A bit for when
one or more measured values "exceed a configiured maximum threshold", text
that seems to apply even to the field "min delay".  Is the "exceeds"
supposed to interpreted as "outside the expected range, whether that is
numerically larger or smaller than the threshold value"?

Section 2.8

Would it help anyone to have the TLV tag values defined in this document
in the table as well?

Section 3

Thank you for adding the extra text recommended by the secdir reviewer!

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Thu, 20 Dec 2018 05:02:11 +0000

Ben -

Inline.

> -----Original Message-----

> From: Benjamin Kaduk <[email-masked]>

> Sent: Wednesday, December 19, 2018 7:13 PM

> To: The IESG <[email-masked]>

> Cc: [email-masked]; Susan Hares <[email-masked]>;

> [email-masked]; [email-masked]; [email-masked]; [email-masked]

> Subject: Benjamin Kaduk's Discuss on draft-ietf-idr-te-pm-bgp-17: (with

> DISCUSS and COMMENT)

> (thus, TLV granularity for us here).  That said, it's not entirely clear to me

> whether

> I'm supposed to treat the measurement intervals as also inherited from

> 7810bis/7471

> as part of the "semantics of the value field".  It may be worth a brief clarifying

> note

> in the top-level Section 2.

[Les:] There is no concept of "measurement intervals" here. The BGP-LS advertisements are simply reporting what the IGPs have advertised.

Measurement intervals/delays etc. are all done before the information is given to the IGPs to advertise. This is discussed in the IGP specifications.

Perhaps you will find relevant this exchange between Yoshi and myself in the context of his Tsvart review:

<snip>

> 2: There is no guidance for default values such as measurement interval in

> the

> draft. If these values should also be inherited from other draft, it should be

> stated.

[Les:] This is not within the purview of this draft. All this draft is doing is defining the encodings for the BGP-LS advertisements which are essentially copies of what the IGPs are advertising.

Does it mean when an IGP advertises these metrics at 10 sec interval, the BGP-LS will be advertised at the same interval?

[Les:] The IGP RFCs provide significant detail on the importance of controlling the rate of change of advertisements.

Given that, yes – I would expect that updates are provided to BGP whenever the IGP advertisements change.

BGP implementations typically have their own knobs to control the frequency of BGP updates – but given the filtering done at the source I would hope implementations have no need for additional dampening in BGP itself – but that is an implementation choice.

<end snip>

   Les

> one or more measured values "exceed a configiured maximum threshold",

> text

---

From: Benjamin Kaduk <[email-masked]>
Date: Thu, 20 Dec 2018 09:41:04 -0600

> Perhaps you will find relevant this exchange between Yoshi and myself in the context of his Tsvart review:

I do, thanks.

Combining this, your description above, and Alvaro's clarification on the
telechat, it's clear that my sickness-addled mind was just confused and
there's no issue here.  I'll go clear in the datatracker now, and sorry for
the noise.

-Benjamin